define({"0":{y:0,u:"../Content/HTH-User/about-hth-user.html",l:-1,t:"How to use this guide | Helix TeamHub usage",i:0.00751209718651291,a:"This manual provides information on organizing efforts, staying connected, and storing work in Helix TeamHub (version 2023.2 Enterprise, released in June 2023)."},"1":{y:0,u:"../Content/HTH-User/helix-auth-limitations.html",l:-1,t:"Limitations with Helix authentication",i:0.00751209718651291,a:"Helix TeamHub is integrated with Helix Server. If your TeamHub instance is configured to use Helix authentication, you can manage repositories and kick off reviews using the TeamHub user interface. Helix authentication implies that part of the configuration and management happens in Helix Server. As ..."},"2":{y:0,u:"../Content/HTH-User/getting-started.html",l:-1,t:"Getting started",i:0.0250123719993455,a:"Welcome aboard! This guide will get you started on using Helix TeamHub. When you first log in, you land on the My Dashboard view. From there you can quickly access: My Projects: Displays an alphabetical list of projects you are involved in. When you visit a project more than five times, its project ..."},"3":{y:0,u:"../Content/HTH-User/logging-in.html",l:-1,t:"Logging in to Helix TeamHub",i:0.00751209718651291,a:"Before you log in for the first time, get the Helix TeamHub URL, your company ID, and your login credentials from your administrator. If your organization uses single sign-on (SSO) or external authentication via SAML, you can use it to log in to TeamHub through your organization\u0027s identity provider. ..."},"4":{y:0,u:"../Content/HTH-User/users.html",l:-1,t:"User Profiles \u0026 authentication",i:0.0400659997239654,a:"User profiles Helix TeamHub supports the following types of users:  Company admins: Have access to all information inside your company but may not have access to a user\u0027s private projects Company admins are different from TeamHub instance administrators. The latter are users with elevated admin ..."},"5":{y:0,u:"../Content/HTH-User/collaborators.html",l:-1,t:"Collaborator accounts",i:0.00751209718651291,a:"Collaborator accounts allow you to invite external collaborators or contractors, such as freelance designers, researchers, or simply engineering workforce, to work on your projects temporarily. [HTH-1359]Restrictions defined at the company level determine who can invite external contributors (for ..."},"6":{y:0,u:"../Content/HTH-User/bots.html",l:-1,t:"Bots \u0026 programmatic repository access",i:0.0197580495095627,a:"Bots enable access to projects without using user credentials. Helix TeamHub can securely grant program access to projects using either a bot\u0027s credentials, SSH keys, or API keys. TeamHub supports the following types of bots: Normal bots can be assigned to projects and repositories with guest, ..."},"7":{y:0,u:"../Content/HTH-User/projects-manage.html",l:-1,t:"Projects",i:0.0279612000913449,a:"A project can contain one or more repositories. You can grant users  role permissions  on the project level or, more granular, on the repository level. Creating a new project Follow these steps to create a new project: At the  company scope , in the All Projects view, click the plus icon   to the ..."},"8":{y:0,u:"../Content/HTH-User/users-manage.html",l:-1,t:"Users",i:0.041567880360225,a:"To be able to add or deactivate a user, you need to have the role of company admin. For more information, see  Roles . TeamHub sends a registration email to new users. The email includes a link to set up their password. After configuring a password, new users can log in and start using TeamHub. They ..."},"9":{y:0,u:"../Content/HTH-User/groups.html",l:-1,t:"Groups",i:0.00751209718651291,a:"Groups make it easier to manage project and repository roles for multiple users at the same time. Groups can contain only user accounts. Nested groups are not supported. The Groups view is where you add and delete groups. You can then manage team members from the Groups \u003e Members view. Creating a ..."},"10":{y:0,u:"../Content/HTH-User/roles.html",l:-1,t:"Roles",i:0.0654900417788728,a:"Your company’s work is grouped into Helix TeamHub projects. Each project has a team with their own tasks, bots, source code, and so on. Project roles control what team members are allowed to do in the project. Optionally, repository roles allow further access control over repositories. Both project ..."},"11":{y:0,u:"../Content/HTH-User/project-roles.html",l:-1,t:"Project roles",i:0.00751209718651291,a:"[1] Public projects are visible in project listings to everyone. You can set the visibility in  project settings . [2] Manager and Admin roles are not available for collaborators. [3] Creator of the issue can also update and delete the issue. [4] Merging code reviews with a protected destination ..."},"12":{y:0,u:"../Content/HTH-User/repository-roles.html",l:-1,t:"Repository roles",i:0.00751209718651291,a:"Repository related authorization can be further controlled with repository roles. Enabling authorization for a repository assigns project admin users and groups with admin role to the repository by default. After enabling repository specific authorization, project roles have no effect anymore over ..."},"13":{y:0,u:"../Content/HTH-User/team.html",l:-1,t:"Team management",i:0.0101801321799369,a:"A project\u0027s team members can include users, groups, collaborators, and bots. Projects are private by default. This means that you have to explicitly grant access to a project. You can mark a project as public (open to everyone in the company) when you create it or by editing its settings later on. ..."},"14":{y:0,u:"../Content/HTH-User/repositories-top.html",l:-1,t:"Repositories",i:0.00751209718651291,a:"Repositories This section includes the following information:"},"15":{y:0,u:"../Content/HTH-User/repositories.html",l:-1,t:"Repositories \u0026 version control",i:0.00751209718651291,a:"Helix TeamHub hosts all your code. When you use TeamHub for storing your code, you let your team always see your latest changes as well as get the latest changes from others. Currently, TeamHub supports Git, Mercurial, Subversion, WebDAV, Maven, Ivy, and Docker repositories with the following access ..."},"16":{y:0,u:"../Content/HTH-User/git.html",l:-1,t:"Version control with Git",i:0.0164222914261894,a:"Helix TeamHub Cloud plans only support native Git repositories. Git LFS (Large File Storage) is only supported by Helix Git with TeamHub on-premise plans.  Git is an open source distributed version control system initially designed for Linux kernel development. In Helix TeamHub, you can create any ..."},"17":{y:0,u:"../Content/HTH-User/mercurial.html",l:-1,t:"Version control with Mercurial",i:0.0107047362963882,a:"Mercurial is an open source distributed version control system initially designed as a replacement tool for Linux kernel development. In Helix TeamHub, you can create any number of Mercurial repositories in your projects. The below is the list of resources to help you learn Mercurial: Official ..."},"18":{y:0,u:"../Content/HTH-User/subversion.html",l:-1,t:"Version control with Subversion",i:0.00751209718651291,a:"Subversion is an open source version control system developed as a project of the Apache Software Foundation. In Helix TeamHub, you can create any number of Subversion repositories in your projects. The below is the list of resources to help you learn Subversion: Official Subversion site Version ..."},"19":{y:0,u:"../Content/HTH-User/webdav.html",l:-1,t:"Version control with WebDAV",i:0.00751209718651291,a:"WebDAV (Web-based Distributed Authoring and Versioning) facilitates collaboration between users in editing and managing documents and files. In Helix TeamHub, you can create any number of WebDAV repositories in your projects to share files, or even host static web sites. Setting up on Windows ..."},"20":{y:0,u:"../Content/HTH-User/maven.html",l:-1,t:"Version control with Maven",i:0.00751209718651291,a:"Maven repositories can be used to store build artifacts and other binary files. In Helix TeamHub, you can create any number of Maven repositories in your projects. The below is the list of resources to help you learn Maven: Official Maven site Maven in 5 Minutes Setting up Setup credentials in your ..."},"21":{y:0,u:"../Content/HTH-User/ivy.html",l:-1,t:"Version control with Ivy",i:0.00751209718651291,a:"Ivy repositories can be used to store build artifacts and other binary files. In Helix TeamHub, you can create any number of Ivy repositories in your projects. The below is the list of resources to help you learn Ivy: Official Ivy site Ivy Quick Start Setting up Setup credentials in ..."},"22":{y:0,u:"../Content/HTH-User/docker.html",l:-1,t:"Version control with Docker",i:0.00751209718651291,a:"Docker is a software containerization platform that enables you to introduce a lightweight layer of abstraction of operating-system-level virtualization. Docker isolates features of Linux to allow independent containers to run within a single Linux instance. A container image is a stand-alone and ..."},"23":{y:0,u:"../Content/HTH-User/docker-migrating.html",l:-1,t:"Migrating existing Docker images to Helix TeamHub",i:0.00751209718651291,a:"To migrate existing  Docker  images to Helix TeamHub, perform the following steps: Create a new repository in the TeamHub project, either from the Repositories view or the quick actions button:  Pull the image you want to migrate: docker pull \u003cOLD-IMAGE\u003e Tag your image with an appropriate name ..."},"24":{y:0,u:"../Content/HTH-User/repository-settings.html",l:-1,t:"Repository settings",i:0.0507315206959532,a:"If you have admin access to a repository, you can configure the repository settings. The settings available depend on the repository type. To access repository settings: Navigate to a project. Navigate to the Repositories view. Navigate to the repository you want to configure. Click the gear icon   ..."},"25":{y:0,u:"../Content/HTH-User/code-browsers.html",l:-1,t:"Code browser views",i:0.0164222914261894,a:"Helix TeamHub supports editing and committing from the UI for Mercurial, WebDAV, Git, and Helix Git repositories. This includes when the reference is a branch, not just a tag or a specific commit.   TeamHub provides a browser view of code stored in a particular repository. The browser view presents ..."},"26":{y:0,u:"../Content/HTH-User/compare-view.html",l:-1,t:"Compare view",i:0.00751209718651291,a:"Helix TeamHub supports compare view for Mercurial, Subversion, Git, and Helix Git repositories.   Helix TeamHub lets you compare two revisions of a branch. By default, TeamHub compares a revision to the default base branch. If a difference between revisions is significant, TeamHub displays the ..."},"27":{y:0,u:"../Content/HTH-User/repository-readme.html",l:-1,t:"Repository readme",i:0.00751209718651291,a:"You can add relative links into the repository README.md file using a special syntax.  Link to a file in the same directory as the README.md For example: to link to a file called CHANGE_LOG.md, add a link in the following format: [CHANGE_LOG](?path=CHANGE_LOG.md) This links to .../tree/\u003cbranch ..."},"28":{y:0,u:"../Content/HTH-User/branching.html",l:-1,t:"Branching",i:0.00751209718651291,a:"Helix TeamHub supports branching from the UI for Git and Helix Git repositories.  Branching refers to creating a branch from a repository. Branches remain part of the original repository and allow you to make changes that can be merged into the repository when the work is complete. Branching is only ..."},"29":{y:0,u:"../Content/HTH-User/forking.html",l:-1,t:"Forking",i:0.00751209718651291,a:"Helix TeamHub supports forking for Mercurial and native Git repositories.  Creating a fork requires read privileges to the parent repository and the privileges to create a repository in the target project. For more information, please see the  project \u0026 repository roles  section. Forking refers to ..."},"30":{y:0,u:"../Content/HTH-User/syntax-highlight-support.html",l:-1,t:"Syntax highlighting support",i:0.0185503747435055,a:"Syntax highlighting support Helix TeamHub supports syntax highlighting for a large number of languages.  Supported languages are listed in alphabetical order, click   to view: "},"31":{y:0,u:"../Content/HTH-User/milestones.html",l:-1,t:"Milestones",i:0.0152760743211287,a:"Milestones indicate significant achievements in a project. Each milestone can contain multiple issues. The default states are Open, WIP (work in progress), or Closed.  You can prioritize the importance of the issues in a milestone. The default priorities are Low, Medium, or High. Helix TeamHub lets ..."},"32":{y:0,u:"../Content/HTH-User/issue-tracking.html",l:-1,t:"Issue tracking",i:0.0274022264017202,a:"Issues are associated with milestones. Before you can create an issue, you need to create at least one  milestone . The Issues view provides a list view of all issues. You can:  Filter this view by milestone, state, priority, label, due date, or assignee. Switch between a list view and a card view ..."},"33":{y:0,u:"../Content/HTH-User/code-reviews.html",l:-1,t:"Code Reviews",i:0.0107047362963882,a:"A code review (CR) is a process in which other developers can see your code and provide feedback that can suggest ways to improve the code\u0027s structure, performance, maintainability, and interaction with other code. Helix TeamHub supports code reviews for   Mercurial, Git, and Helix Git repositories. ..."},"34":{y:0,u:"../Content/HTH-User/code-review-creation.html",l:-1,t:"Creating a CR inside a repository",i:0.0101801321799369,a:"Helix TeamHub supports code reviews for Mercurial, Git, and Helix Git repositories.   When you have a feature branch, you might want to review it before incorporating it into the base branch. To achieve this, you can create a code review. Native Git and Mercurial repositories: TeamHub automatically ..."},"35":{y:0,u:"../Content/HTH-User/multi-repo-code-reviews.html",l:-1,t:"Creating a multi-repo code review",i:0.00751209718651291,a:"Multi-repo code reviews require Helix Server 2018.1 and later.  Helix TeamHub only supports Multi-repo code reviews  for Helix Git repositories. With Helix authentication, Helix TeamHub supports combining changes done in  several repositories into a single code review, referred to as Multi-Repo Code ..."},"36":{y:0,u:"../Content/HTH-User/merge-options.html",l:-1,t:"Code review merge options",i:0.0282713464251534,a:"For single code reviews, you can access merge options by clicking the cogwheel icon next to the primary merge action. Helix TeamHub supports the following methods for merging a code review: Merge commit: Helix TeamHub retains the full history of changes without fast-forwarding. For Git repositories, ..."},"37":{y:0,u:"../Content/HTH-User/merge-options-mrcr.html",l:-1,t:"Multi-repo code review merge options",i:0.018714970330266,a:"Helix TeamHub only supports Multi-repo code reviews  for Helix Git repositories. For multi-repo code reviews, you can access merge options by clicking the cogwheel icon next to the primary merge action. Helix TeamHub supports the following methods for merging a multi-repo code review: Merge commit: ..."},"38":{y:0,u:"../Content/HTH-User/code-review-revert.html",l:-1,t:"Reverting a merged code review",i:0.00751209718651291,a:"Revert merge is supported on Helix Core Server 2018.2 and later.  If you merge a code review or multi-repo code review and realize you need to undo the merge, you can revert the review from its Merged state. \n\n \n\nIf the revert is successful, the review transitions to the Reverted state.\n\nIf the ..."},"39":{y:0,u:"../Content/HTH-User/pull-requests.html",l:-1,t:"Pull requests (code reviews from forks)",i:0.018714970330266,a:"Helix TeamHub supports forking for Mercurial and native Git repositories.  Pull requests are a way of merging the changes in a fork back to the parent repository. In Helix TeamHub, pull requests are simply code reviews whose source and destination branches belong to separate repositories in ..."},"40":{y:0,u:"../Content/HTH-User/commenting.html",l:-1,t:"Commenting in code reviews",i:0.0195314926842176,a:"Comments are a way to collaborate on code reviews. They allow team members and external collaborators to discuss code reviews, request changes, suggest solutions, and so on. TeamHub organizes discussions in threads. For details, see  Replying to Comments . You can  edit  comments, but you  cannot ..."},"41":{y:0,u:"../Content/HTH-User/tasks.html",l:-1,t:"Code Review tasks",i:0.0116625355060605,a:"You can turn any comment into a task, and vice versa. Code review tasks let reviewers request changes that are required before the code review is considered ready for merge. You can configure a code review to disallow merging until all tasks have been resolved. When all changes are done, you can ..."},"42":{y:0,u:"../Content/HTH-User/jenkins-integration.html",l:-1,t:"Configuring builds with Jenkins",i:0.0188332329406971,a:"The feature branch workflow requires a successful (green) build from  Jenkins  before you can merge the feature branch into the target branch in Helix TeamHub. Initial setup Perform the following steps for the initial setup: Set up a TeamHub project and create a new Git or Mercurial repository. You ..."},"43":{y:0,u:"../Content/HTH-User/code-search.html",l:-1,t:"Code search",i:0.0364790627943469,a:"Helix TeamHub supports code searching for Mercurial, Git, and Helix Git repositories.   The code is indexed from each repository\u0027s default branch. You can configure the default branch for each repository from the  repository settings  view. Code search can be performed on the following levels: ..."},"44":{y:0,u:"../Content/HTH-User/webhooks.html",l:-1,t:"Webhooks",i:0.0157872618702004,a:"Helix TeamHub has a new way to add and manage webhooks. The existing Hooks feature is still available in the left navigation pane, but will be deprecated in the future. To add new webhooks that notify external services when new commits are pushed to a repository, use the Webhooks feature instead. ..."},"45":{y:0,u:"../Content/HTH-User/webhooks-adding.html",l:-1,t:"Adding webhooks",i:0.0292064442587927,a:"Webhooks notify external services about actions that occur in Helix TeamHub. To learn more about webhooks, see  Webhooks . When a webhook runs, Helix TeamHub sends an HTTP post request with a JSON payload to the specified endpoint URL. You can use any endpoint that can process the request. To learn ..."},"46":{y:0,u:"../Content/HTH-User/webhooks-payload-format-examples.html",l:-1,t:"Webhook JSON payload format and examples",i:0.0157872618702004,a:"The required payload format is the same as described in the  Helix TeamHub API v1 Event object . The following example shows a payload that Helix TeamHub sends to the external service you are using. [\n  {\n    \"api_status\": 200,\n    \"api_timestamp\": \"2023-06-27T07:36:50Z\",\n    \"id\": ..."},"47":{y:0,u:"../Content/HTH-User/webhooks-editing.html",l:-1,t:"Editing and deleting webhooks",i:0.00751209718651291,a:"You can make changes to webhooks, inactivate or activate webhooks, or delete webhooks that are no longer used. You must be a company admin to work with webhooks for a company. You must be a company or project admin to work with webhooks for projects you own. In Helix TeamHub, go to the location of ..."},"48":{y:0,u:"../Content/HTH-User/webhooks-general.html",l:-1,t:"Hooks",i:0.0101801321799369,a:"Helix TeamHub has a new way to add and manage webhooks. The existing Hooks feature is still available in the left navigation pane, but will be deprecated in the future. To add new webhooks that notify external services when new commits are pushed to a repository, use the Webhooks feature instead. To ..."},"49":{y:0,u:"../Content/HTH-User/webhooks-restricting.html",l:-1,t:"Restricting hook execution",i:0.00751209718651291,a:"Helix TeamHub has a new way to add and manage webhooks. The existing Hooks feature is still available in the left navigation pane, but will be deprecated in the future. To add new webhooks that notify external services when new commits are pushed to a repository, use the Webhooks feature instead. To ..."},"50":{y:0,u:"../Content/HTH-User/webhooks-slack.html",l:-1,t:"Slack",i:0.00751209718651291,a:"Slack  is a team communication and collaboration tool for both small businesses and large enterprises. Slack integrates with many products available on the market. Adding apps to Slack lets your team stay coordinated and work faster within the context of your conversations. Helix TeamHub harnesses ..."},"51":{y:0,u:"../Content/HTH-User/webhooks-jira.html",l:-1,t:"JIRA",i:0.00751209718651291,a:"JIRA  is a well-known issue tracking tool by  Atlassian . Many large organizations use it for tracking work at multiple levels. JIRA offers limitless possibilities for configuring workflows and levels of work to match even the most complicated needs enterprises might have. By comparison, issue ..."},"52":{y:0,u:"../Content/HTH-User/webhooks-jenkins.html",l:-1,t:"Jenkins",i:0.0101801321799369,a:"Jenkins is a self-contained open source automation server that you can use to automate tasks related to building, testing, and deploying software. Jenkins webhook When using the standard Jenkins Git Plugin, Jenkins Mercurial Plugin, or Jenkins Subversion Plugin to poll and check out your repository, ..."},"53":{y:0,u:"../Content/HTH-User/wiki.html",l:-1,t:"Wiki",i:0.0196382492671044,a:"Helix TeamHub supports Mercurial and Git based Wikis.   A Wiki is a repository that you can modify locally. It lets you store project-specific documentation for your team or project, allowing you to keep everything in the same place as your source code and other assets.  The Wiki enables you to: See ..."},"54":{y:0,u:"../Content/HTH-User/markdown.html",l:-1,t:"Markdown",i:0.0277727821959565,a:"You can use Markdown to add text styles to:   Issue tracking Commenting in code reviews Wiki Helix TeamHub uses  marked.js  to support Markdown text formatting. Common Markdown styles A number of the more common Markdown styles are shown below, for a more thorough list of the styles you can use, see ..."},"55":{y:0,u:"../Content/HTH-User/notifications-subscribing.html",l:-1,t:"Notifications",i:0.0116625355060605,a:"Helix TeamHub creates notifications for events. This section describes the type of notifications you can receive, how to subscribe to them, the events that trigger them, and the notification messages that are created.  Notification types TeamHub offers the following notifications: In-app: Work ..."},"56":{y:0,u:"../Content/HTH-User/notifications-configuring.html",l:-1,t:"Configuring notification intervals",i:0.0138973754062635,a:"You can adjust the frequency of email notifications for your subscriptions. To configure notification intervals: Click the bell icon to display notifications, and then click Settings. The Change email notification frequency form displays a list of all projects you watch along with interval selectors ..."},"57":{y:0,u:"../Content/HTH-User/notifications-email-headers.html",l:-1,t:"Email headers",i:0.00751209718651291,a:"Filtering emails in your email client using email headers gives you more granularity than just filtering by subject and sender address. Notification emails that are configured to be sent instantly include email headers. For information on configuring email notification frequency, see  Configuring ..."},"58":{y:0,u:"../Content/HTH-User/company-settings.html",l:-1,t:"Company Settings",i:0.0218197328894702,a:"You can maintain and configure your company from the Company settings form.  Only the company administrator has access to this form. To access the company settings, do one of the following: In the My Dashboard view, click the gear icon   next to the company name.  In any view, click the user name in ..."},"59":{y:0,u:"../Content/HTH-User/rename-company.html",l:-1,t:"Renaming a company",i:0.00751209718651291,a:"You can rename a company to change the display name in Helix TeamHub and the company short name, which is used in the TeamHub URL and in other areas. You must be a company administrator to rename a company. On the Details tab in  Company settings , click Rename company. The Rename company panel ..."},"60":{y:0,u:"../Content/HTH-User/license-information.html",l:-1,t:"License information",i:0.00751209718651291,a:"Helix TeamHub licensing The Company settings form displays your company\u0027s license information on the Details tab in the License information area, including the following information: License valid until: The date on which your license is set to expire. Seats used: The total number of active accounts ..."},"61":{y:0,u:"../Content/HTH-User/company-feature-settings.html",l:-1,t:"Feature settings",i:0.0400675063390298,a:"The Company settings form displays your company\u0027s feature settings on the Features tab. The following options are available: Code Search: Turn on to enable code searching at the company level.  For information on code search, see  Code search .  Code search can be disabled for individual ..."},"62":{y:0,u:"../Content/HTH-User/browser-support.html",l:-1,t:"Supported browsers",i:0.00751209718651291,a:"Supported browsers The following browsers are supported by Helix TeamHub: Apple Safari, latest stable version Google Chrome, latest stable version Mozilla Firefox, latest stable version Microsoft Edge, latest stable version Opera, latest stable version"},"63":{y:0,u:"../Content/HTH-User/license.statements.html",l:-1,t:"License Statements",i:0.00751209718651291,a:"License Statements For the licensing information of the third-party software included in this Perforce product, see the license files on the Helix TeamHub server in the /opt/hth/licenses directory. "},});